Bug 18857 - Have "actions" at both ends of the circulation rules table
Summary: Have "actions" at both ends of the circulation rules table
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Liz Rea
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-26 23:42 UTC by Liz Rea
Modified: 2017-08-10 21:14 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18857 - Add buttons to left hand side of circ rules table (4.76 KB, patch)
2017-06-26 23:48 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 18857 - Add buttons to left hand side of circ rules table (4.82 KB, patch)
2017-06-28 12:57 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 18857 - Add buttons to left hand side of circ rules table (4.88 KB, patch)
2017-07-31 12:52 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18857 (QA Followup) Add title to lower 'Action' header (1.49 KB, patch)
2017-07-31 12:54 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2017-06-26 23:42:14 UTC
System with lots of circulation rules face an unreasonable level of frustration when wanting to edit a rule they have already defined.

Usually, a staff user will know which rule they want to edit without scrolling to the end of the table, and they often lose track of which row they are looking for before clicking edit (or delete). We should provide them buttons that they don't have to scroll to see.

My reason for suggesting this is based on observations of librarians trying to work quickly with the rules. The short story is: they can't, because of the frustrating scrolling.
Comment 1 Liz Rea 2017-06-26 23:48:15 UTC
Created attachment 64663 [details] [review]
Bug 18857 - Add buttons to left hand side of circ rules table

To test:
* Apply this patch
* Define some rules in the interface using the left hand buttons
* Define some rules in the interface using the right hand buttons (scroll to see)
* Delete some rules in the interface using the left hand buttons
* Delete some rules in the interface using the right hand buttons (scroll to see)
* Choose a rule to edit using the left hand buttons
* Edit the rule, saving using the left hand button
* Edit a rule, but clear the values using the left hand buttons
* Choose a rule to edit using the right hand buttons (scroll to see)
* Edit the rule, saving using the right hand buttons (scroll to see)
* Edit a rule, but clear the values using the right hand buttons (scroll to see)
Comment 2 guillaume_lair 2017-06-28 12:55:17 UTC
On circ rules table we have used successfully buttons to left hand side to change some existing values, add and delete a new patron category.
Comment 3 sandboxes@biblibre.com 2017-06-28 12:57:10 UTC
Patch tested with a sandbox, by Guillaume <guillaume_lair@ville-limoges.fr>
Comment 4 sandboxes@biblibre.com 2017-06-28 12:57:32 UTC
Created attachment 64700 [details] [review]
Bug 18857 - Add buttons to left hand side of circ rules table

To test:
* Apply this patch
* Define some rules in the interface using the left hand buttons
* Define some rules in the interface using the right hand buttons (scroll to see)
* Delete some rules in the interface using the left hand buttons
* Delete some rules in the interface using the right hand buttons (scroll to see)
* Choose a rule to edit using the left hand buttons
* Edit the rule, saving using the left hand button
* Edit a rule, but clear the values using the left hand buttons
* Choose a rule to edit using the right hand buttons (scroll to see)
* Edit the rule, saving using the right hand buttons (scroll to see)
* Edit a rule, but clear the values using the right hand buttons (scroll to see)

Signed-off-by: Guillaume <guillaume_lair@ville-limoges.fr>
Comment 5 Nick Clemens 2017-07-31 12:52:41 UTC
Created attachment 65340 [details] [review]
Bug 18857 - Add buttons to left hand side of circ rules table

To test:
* Apply this patch
* Define some rules in the interface using the left hand buttons
* Define some rules in the interface using the right hand buttons (scroll to see)
* Delete some rules in the interface using the left hand buttons
* Delete some rules in the interface using the right hand buttons (scroll to see)
* Choose a rule to edit using the left hand buttons
* Edit the rule, saving using the left hand button
* Edit a rule, but clear the values using the left hand buttons
* Choose a rule to edit using the right hand buttons (scroll to see)
* Edit the rule, saving using the right hand buttons (scroll to see)
* Edit a rule, but clear the values using the right hand buttons (scroll to see)

Signed-off-by: Guillaume <guillaume_lair@ville-limoges.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Nick Clemens 2017-07-31 12:54:44 UTC
Created attachment 65341 [details] [review]
Bug 18857 (QA Followup) Add title to lower 'Action' header

These were showing as blank, for consistency seems like we should label
as 'Actions'
Comment 7 Liz Rea 2017-08-08 21:53:55 UTC
I disagree with Nick's change, it isn't how the column is labelled currently and I don't see the point to having it in the table footer. Consistency is usually good, there doesn't seem to be much point to it in this case.

Cheers,
Liz
Comment 8 Jonathan Druart 2017-08-10 16:21:22 UTC
Comment on attachment 65341 [details] [review]
Bug 18857 (QA Followup) Add title to lower 'Action' header

Will not be pushed, move to its own bug report if you want to discuss more about it.
Comment 9 Jonathan Druart 2017-08-10 16:52:47 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 10 Liz Rea 2017-08-10 21:14:25 UTC
awesome thank you Jonathan!